Update items
curl --request PUT \
--url https://api.yume.cloud/v1/crm/inventories/sets/{set_id}/items/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"group_id": 123,
"id": 123,
"alternative": 123,
"required": true
}
'import requests
url = "https://api.yume.cloud/v1/crm/inventories/sets/{set_id}/items/{id}/"
payload = {
"count": 123,
"group_id": 123,
"id": 123,
"alternative": 123,
"required": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({count: 123, group_id: 123, id: 123, alternative: 123, required: true})
};
fetch('https://api.yume.cloud/v1/crm/inventories/sets/{set_id}/items/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"group_id": 123,
"group_name": "<string>",
"group_unique_id": "<string>",
"group_category": 123,
"group_image": "<string>",
"inventories_count": 0,
"inventories_free": 0,
"id": 123,
"alternative": 123,
"required": true
}inventories
Update items
PUT
/
v1
/
crm
/
inventories
/
sets
/
{set_id}
/
items
/
{id}
/
Update items
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
200 - application/json